@font-face {
  font-family: Px437 Cordata PPC-400;
  src: url("/fonts/Px437_Cordata_PPC-400.ttf");
}

@font-face {
  font-family: Ac437 Phoenix BIOS;
  src: url("/fonts/Ac437_Phoenix_BIOS.ttf");
}

@font-face {
  font-family: Ac437 DG One;
  src: url("/fonts/Ac437_DG_One_B.ttf");
}

@font-face {
  font-family: LanaPixel;
  src: url("/fonts/LanaPixel.ttf");
}

* {
  margin: 0;
  padding: 0;
  font-family: Px437 Cordata PPC-400;
scrollbar-color: #884ace transparent;
  scrollbar-width: thin;
}

body {
  background-image: url("https://wolfrayetlaw.com/imgs/background/waterbg7.png");
  background-size: cover;
  background-attachment: fixed;
  image-rendering: pixelated;
  overflow: visible;
}

.container {
align-items: center;
  justify-content: center;
}

.left {
    width: 250px;
    align-self: flex-start;
    position: sticky;
    top: 100px;
}

.left .icon {
    display: inline-block;
    position: relative;
    width: 200px;
    float: right;
    background: transparent;
    border-radius: 10px;
    padding: 3px;
    padding-bottom: 0;
}

.left .icon img {
    border: 4px solid #7243a5;     
  width: 100%;
  height: 100%;
  object-fit: fill;
  border-radius: 10px;
  image-rendering: initial;
  -webkit-transition: -webkit-transform 0.4s;
  transition: transform 0.3s ease-in-out;
}

.left .icon img:hover {
      -webkit-transform: scale(1.05) rotate(3deg);
}

.left .sideinfo {
    width: 230px;
    margin: 10px;
    padding: 5px;
    display: inline-block;    
    position: relative;
  background-image: linear-gradient(to top, #d3b6f3, #e5d0fc);
    border: 4px solid #a67fcf;     
    border-radius: 10px;  
}

.sideinfo p {
margin-top: 8px;
margin-bottom: 8px;
}

.left .song {
    display: inline-block;
    position: relative;
    width: 180px;
    float: right;
  background-image: linear-gradient(to top, #d3b6f3, #e5d0fc);
    border: 4px solid #a67fcf;   
    border-radius: 10px;
    padding: 3px;
    padding-bottom: 0;
}

.right {
    width: 900px;
}

.post {
    margin: 10px;
    width: 800px;
    padding: 8px;
    background-image: linear-gradient(to top, #d3b6f3, #e5d0fc);
    border: 4px solid #a67fcf;     
    border-radius: 10px;  
}

.post p {
    padding: 10px;
}

.container {
    display: flex;
    margin: 3rem 5rem;
    gap: 20px;
}

.container::before,
.container::after {
    content: '';
    display: table;
    clear: both;
}

h1 {
    font-size: 30px;
    font-weight: bold;
    color: white;
}

.dropdown {
  position: relative;
}

.dropdowntxt {
  display: none;
  position: absolute;
  border-radius: 10px;
  background-color: #d3b6f3;
  min-width: 130px;
  border: 1px solid #3f1e64;
  filter: drop-shadow(2px 2px 0 #a67fcf);
  padding: 12px 16px;
    animation: fade 0.3s linear;
}

.dropdown:hover .dropdowntxt {
  display: block;
}

@keyframes fade {
  0%,100% { opacity: 0 }
  100% { opacity: 1 }
}

table {
    font-size: 14px;
    padding: 0;
}

td {
    background-color: #c3a6e2;
    padding: 6px;
    margin: 0;
    border-radius: 5px;
    border-bottom: 2px dotted #a67fcf;    
}

td strong {
    color: #3f1e64;
    font-family: Ac437 Phoenix BIOS;
    font-size: 11px;
}

th {
    text-align: left;
    font-weight: lighter;
    background-color: #efe7fa;
    border-radius: 5px;
    padding: 6px;    
    border-bottom: 2px dotted #a67fcf;        
}

.sideinfo h2 {
    text-align: center;
    font-family: Ac437 DG One;
    color:#884ace;
    font-size: 25px;
    margin-bottom: 10px;
      text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -3px 3px 0 #000,
    1px 3px 0 #000;
  filter: drop-shadow(2px 2px 0 #000);
  -webkit-transition: -webkit-transform 0.4s;
  transition: transform 0.3s ease-in-out;
}

.sideinfo h2:hover {
      -webkit-transform: scale(1.08);
}

.spoiler{
  background-color: #e75fba;
  color: transparent;
  user-select: none;
}

.spoiler:hover{
  background-color: inherit;
  color: inherit;
}

blockquote {
  background-color: #efe7fa;
  border: 3px solid #9875e2;
  border-radius: 10px;
  display: inline-block;
    padding: 1em;
  margin-top: 1em;
  margin-bottom: 1em;
  margin-left: 20px;
  margin-right: 20px;
}

.refgallery {
    padding-top: 10px;
    display: flex;
  justify-content: center;
  align-items: center;
    box-sizing: border-box;
}

.refimg {
    float:left;
    width: 310px;
    text-align:start;
    text-overflow: auto;
    line-height: 20px;
    margin: 3px;
    border-radius: 4px;
}

.refimg img {
    image-rendering:initial;
    width: 310px;
    border: 1px solid #884ace;
    border-radius: 5px;
  transform: translate3d(0, 0, 0);
  transition:  all .3s ease-in-out;
  filter: drop-shadow(0px 0px 0 #9875e2)   
}

.refimg img:hover {
  transform: translate3d(-8px, -8px, 0);
  transition: all .3s ease-in-out; 
  filter: drop-shadow(8px 8px 0 #9875e2);
}

.imgdesc {
    text-align: center;
    background-color: #c4a0eb;
    border: 1px dotted #9875e2;
    border-radius: 5px;
 padding: 3px;
}

mark {
    background-color: #b99cf8;
}

.post h2 {
    text-align: left;
    font-family: Ac437 DG One;
    color:#9f5fe7;
    margin: 2px;
    margin-bottom: 20px;
    font-size: 20px;
      text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -3px 3px 0 #000,
    1px 3px 0 #000;
  filter: drop-shadow(2px 2px 0 #000);
  -webkit-transition: -webkit-transform 0.4s;
  transition: transform 0.3s ease-in-out;
}

.post h2:hover {
      -webkit-transform: scale(1.01);
}

.post h3 {
    text-align: left;
    font-family: Ac437 DG One;
    color:#e75fba;
    margin: 12px;
    font-size: 15px;
      text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -3px 3px 0 #000,
    1px 3px 0 #000;
  filter: drop-shadow(2px 2px 0 #000);
  -webkit-transition: -webkit-transform 0.4s;
  transition: transform 0.3s ease-in-out;
}

.post h3:hover {
      -webkit-transform: scale(1.01);
}

h3.rlname {
    text-align: center;
    font-family: Ac437 DG One;
    color:#e75fba;
    margin: 12px;
    font-size: 15px;
      text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -3px 3px 0 #000,
    1px 3px 0 #000;
  filter: drop-shadow(2px 2px 0 #000);
  -webkit-transition: -webkit-transform 0.4s;
  transition: transform 0.3s ease-in-out;
}

h4 {
    text-align: left;
    font-family: Ac437 DG One;
    color: #b99cf8;
    margin: 12px;
    font-size: 12px;
      text-shadow:
    -1px -1px 0 #9f5fe7,
    1px -1px 0 #9f5fe7,
    -2px 2px 0 #9f5fe7,
    1px 3px 0 #9f5fe7;
  filter: drop-shadow(2px 2px 0 #9f5fe7);  
}

hr.divider {
    margin-bottom: 15px;
    margin-top: 10px;
  border-bottom: 3px solid #9875e2;
}

.columns {
    display: grid;
    grid-template-columns: 320px 400px
}

.columns > * {
    padding:1rem;
}

.columns img {
    border: 4px solid #a67fcf;     
    image-rendering: initial;
    width: 300px;
    border-radius: 10px;
}

img.heart {
  size: 20px;
}

.columns h3 {
    font-family: Ac437 DG One;
    color:#9f5fe7;
    margin: 2px;
    font-size: 18px;
      text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -3px 3px 0 #000,
    1px 3px 0 #000;
  filter: drop-shadow(2px 2px 0 #000);
  -webkit-transition: -webkit-transform 0.4s;
  transition: transform 0.3s ease-in-out;
}

.columns h3:hover {
          -webkit-transform: scale(1.03);
}

@keyframes wiggle {
    0% { transform: rotate(8deg); }
   25% { transform: rotate(0deg); }
   50% { transform: rotate(-8deg); }
   75% { transform: rotate(0deg); }
  100% { transform: rotate(8deg); }
}

img.wiggle {
    border: none;
    width: 150px;
    margin: 5px;
float: left;
  animation: wiggle 2s infinite;
}

div.scrollbox {
  background-color: #efe7fa;
  width:95%;
  height: 400px;
  padding: 10px;
  border: 3px solid #a67fcf;
  overflow: auto;
  border-radius: 10px;  
} 

div.scrollbox2 {
  background-color: #efe7fa;
  width:115%;
  height: 400px;
  padding: 10px;
  border: 3px solid #a67fcf;
  overflow: auto;
  border-radius: 10px;  
}   

div.scrollbox2 a {
  font-size: 12px;
  font-family: Ac437 Phoenix BIOS;
  color: #db277b;
  background-color: #d3b6f3;
  padding: 5px;
  font-weight: bold;
}

div.scrollbox2 a:hover {
  color: #7243a5;
  background-color: #f3b6c3;
text-decoration: none;
font-style: italic;
}

div.scrollbox3 {
  background-color: #efe7fa;
  width:;
  height: 310px;
  padding: 10px;
  border: 3px solid #a67fcf;
  overflow: auto;
  border-radius: 10px;  
}   

div.scrollbox3 a {
  font-size: 12px;
  font-family: Ac437 Phoenix BIOS;
  color: #db277b;
  background-color: #d3b6f3;
  padding: 5px;
  font-weight: bold;
}

div.scrollbox3 a:hover {
  color: #7243a5;
  background-color: #f3b6c3;
text-decoration: none;
font-style: italic;
}

div.scrollbox3 ul {  
  padding: 1em;
  line-height: 20px;
  }

.triviahebi {
  float: right;
}

.triviahebi2 {
  float: left;
}

.imggallery {
    padding-top: 10px;
      display: grid;
    grid-template-columns: 240px 240px 240px;
  justify-content: center;
  align-items: center;
    box-sizing: border-box;
}

.galleryimg {
    float:left;
    width: 230px;
    text-align:start;
    text-overflow: auto;
    line-height: 20px;
    margin: 3px;
    border-radius: 4px;
}

.galleryimg img {
    image-rendering:initial;
    width: 230px;
    border: 1px solid #884ace;
    border-radius: 5px;
  transform: translate3d(0, 0, 0);
  transition:  all .3s ease-in-out;
  filter: drop-shadow(0px 0px 0 #9875e2)   
}

.galleryimg img:hover {
  transform: translate3d(-8px, -8px, 0);
  transition: all .3s ease-in-out; 
  filter: drop-shadow(8px 8px 0 #9875e2);
}

.imgdesc {
    text-align: center;
    background-color: #c4a0eb;
    border: 1px dotted #9875e2;
    border-radius: 5px;
 padding: 3px;
}

.imgdesc a {
  font-weight: bold;
  color: #5244c8;
}

.imgdesc a:hover {
  font-weight: normal;
  text-decoration: none;
  color: #5244c8;
}

details > summary {
  font-weight: bold;
  color: #3f1e64;
  margin: 10px;
  padding: 10px;
  width: auto;
  background-color: #e75fba;
  border: 3px solid #5244c8;
  border-radius: 10px;
  box-shadow: 3px 3px #9875e2;
  cursor: pointer;
}

details > p {
  background-color: #e0d5f1;
  padding: 15px;
  margin: 0;
  border: 3px solid #5244c8;
} 

  .spin {
  animation-name: spin;
  animation-duration: 5000ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear; 
  /* transform: rotate(3deg); */
   /* transform: rotate(0.3rad);/ */
   /* transform: rotate(3grad); */ 
   /* transform: rotate(.03turn);  */
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

.pkmnteam {
    padding-top: 10px;
      display: grid;
    grid-template-columns: 130px 130px 130px;
  justify-content: center;
  align-items: center;
    box-sizing: border-box;
}

.pkmn {
    float:center;
    width: 130px;
    line-height: 20px;
    margin: 3px;
    border-radius: 4px;
}

.pkmn img {
    image-rendering:pixelated;
    border-radius: 5px;
  transform: translate3d(0, 0, 0);
  transition:  all .3s ease-in-out;
  filter: drop-shadow(0px 0px 0 #9875e2)   
}

.pkmn img:hover {
  transform: translate3d(-8px, -8px, 0);
  transition: all .3s ease-in-out; 
  filter: drop-shadow(8px 8px 0 #9875e2);
}

.imgdesc {
    text-align: center;
    background-color: #c4a0eb;
    border: 1px dotted #9875e2;
    border-radius: 5px;
 padding: 3px;
}

.imgdesc2 {
  width: 120px;
    text-align: center;
    background-color: #c4a0eb;
    border: 1px dotted #9875e2;
    border-radius: 5px;
 padding: 3px;
}

.shake {
  -webkit-animation-name: shake;
  -webkit-animation-duration: 0.8s;
  -webkit-transform-origin: 50% 50%;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
}

@keyframes shake {
  0% { transform: translate(1px, 1px) rotate(0deg); }
  10% { transform: translate(-1px, -2px) rotate(-1deg); }
  20% { transform: translate(-3px, 0px) rotate(1deg); }
  30% { transform: translate(3px, 2px) rotate(0deg); }
  40% { transform: translate(1px, -1px) rotate(1deg); }
  50% { transform: translate(-1px, 2px) rotate(-1deg); }
  60% { transform: translate(-3px, 1px) rotate(0deg); }
  70% { transform: translate(3px, 1px) rotate(-1deg); }
  80% { transform: translate(-1px, -1px) rotate(1deg); }
  90% { transform: translate(1px, 2px) rotate(0deg); }
  100% { transform: translate(1px, -2px) rotate(-1deg); }
}

button {
  color: #7243a5;
  font-family: Ac437 DG One;
  font-weight: bold;
  background-color: #e75fba;
  border-radius: 10px;
  padding: 6px;
  margin: 5px;
  border: 3px solid #7243a5;
  filter: drop-shadow(2px 2px 0 #a67fcf);
}

button a {
  color: #2b347c;
}

button:hover {
  width: fit-content;
  font-size: 15px;
  font-style: italic;
  cursor: pointer;
}